<template>
  
  <div id="nav">
    <router-link class="navbar-brand" to="/"><img src="/src/assets/logo-book.png" alt="logo" id="logo" </router-link>
      <nav class="navbar navbar-expand-lg nav-style">
        <div class="container-fluid d-flex justify-content-center">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown"
            aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav ">
              <li class="nav-item">
                <router-link class="nav-link" to="/">HOME</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link" to="/posts/create">NEW POST</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link" to="/about">ABOUT</router-link>
              </li>
              <li class="nav-item login">
                <router-link class="nav-link nice-button" to="/login" v-if="!auth.user">Log In</router-link>
                <button class="nice-button" v-if="auth.user" @click="auth.logout()">Logout</button>              </li>
            </ul>
          </div>
        </div>
      </nav>
  </div>
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';

const auth = useAuth();
</script>

<style scoped>

#logo {
  width: 150px;
  height: 150px;
  margin: 0 auto;

}

#nav {
  background-color: white;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: #754507 1px solid;
}

.nav-link {
  color: black;
  display: flex;
  align-items: center;
 

}

.nav-link:hover {
  color: #754507;
}

.login {
  background-color: #1d1306;
  font-weight: 600;
  margin-left: 60px;
  border: #754507 1px solid;
  border-radius: 10px;
}

.login .nav-link {
  color: white;
}
</style>
